## stegfs-2015.08.1.tar.xz

=== Makefile ===
.PHONY: clean distclean

STEGFS   = stegfs
MKFS     = mkstegfs
CP       = cp_tree

SOURCE   = src/main.c src/stegfs.c src/init.c
MKSRC    = src/mkfs.c src/init.c
CPSRC    = src/cp.c
COMMON   = src/common/error.c src/common/ccrypt.c src/common/tlv.c src/common/dir.c src/common/non-gnu.c

CFLAGS   = -Wall -Wextra -Werror -std=gnu99 `pkg-config --cflags fuse` -pipe -I/usr/local/include
CPPFLAGS = -Isrc -D_GNU_SOURCE -DGCRYPT_NO_DEPRECATED -D_FILE_OFFSET_BITS=64 -DGIT_COMMIT=\"`git log | head -n1 | cut -f2 -d' '`\"

DEBUG    = -O0 -ggdb -pg -lc

# -lpthread
LIBS     = -lgcrypt `pkg-config --libs fuse`

all: sfs mkfs man

sfs:
	 @$(CC) $(LIBS) $(CFLAGS) $(CPPFLAGS) -O2 $(SOURCE) $(COMMON) -o $(STEGFS)
	-@echo "built ‘$(SOURCE)’ --> ‘$(STEGFS)’"

mkfs:
	 @$(CC) $(LIBS) $(CFLAGS) $(CPPFLAGS) -O2 $(MKSRC) $(COMMON) -o $(MKFS)
	-@echo "built ‘$(MKSRC) $(COMMON)’ --> ‘$(MKFS)’"

cp:
	 @$(CC) $(CFLAGS) $(CPPFLAGS) -O0 -ggdb $(CPSRC) src/common/error.c src/common/fs.c -o $(CP)
	-@echo "built ‘$(CPSRC) $(COMMON)’ --> ‘$(CP)’"

debug: debug-sfs debug-mkfs

debug-sfs:
	 @$(CC) $(LIBS) $(CFLAGS) $(CPPFLAGS) $(DEBUG) -DUSE_PROC $(SOURCE) $(COMMON) -o $(STEGFS)
	-@echo "built ‘$(SOURCE)’ --> ‘$(STEGFS)’"

debug-mkfs:
	 @$(CC) $(LIBS) $(CFLAGS) $(CPPFLAGS) $(DEBUG) $(MKSRC) $(COMMON) -o $(MKFS)
	-@echo "built ‘$(MKSRC) $(COMMON)’ --> ‘$(MKFS)’"

man:
	 @gzip -c docs/$(STEGFS).1 > $(STEGFS).1.gz
	-@echo -e "compressing ‘docs/$(STEGFS).1’ → ‘$(STEGFS).1.gz"
	 @gzip -c docs/$(MKFS).1 > $(MKFS).1.gz
	-@echo -e "compressing ‘docs/$(MKFS).1’ → ‘$(MKFS).1.gz"

install:
# install stegfs and mkstegfs
	 @install -c -m 755 -s -D -T $(STEGFS) $(PREFIX)/usr/bin/$(STEGFS)
	-@echo -e "installed ‘$(STEGFS)’ → ‘$(PREFIX)/usr/bin/$(STEGFS)’"
	 @install -c -m 755 -s -D -T $(MKFS) $(PREFIX)/usr/bin/$(MKFS)
	-@echo -e "installed ‘$(MKFS)’ → ‘$(PREFIX)/usr/bin/$(MKFS)’"
# now the man page(s)
	 @install -c -m 644 -D -T $(STEGFS).1.gz $(PREFIX)/usr/$(LOCAL)/share/man/man1/$(STEGFS).1.gz
	-@echo -e "installed ‘$(STEGFS).1.gz’ → ‘$(PREFIX)/usr/$(LOCAL)/share/man/man1/$(STEGFS).1.gz’"
	 @install -c -m 644 -D -T $(MKFS).1.gz $(PREFIX)/usr/$(LOCAL)/share/man/man1/$(MKFS).1.gz
	-@echo -e "installed ‘$(MKFS).1.gz’ → ‘$(PREFIX)/usr/$(LOCAL)/share/man/man1/$(MKFS).1.gz’"

uninstall:
	@rm -fv $(PREFIX)/usr/$(LOCAL)/share/man/man1/$(STEGFS).1.gz
	@rm -fv $(PREFIX)/usr/$(LOCAL)/share/man/man1/$(MKFS).1.gz
	@rm -fv $(PREFIX)/usr/bin/$(MKFS)
	@rm -fv $(PREFIX)/usr/bin/$(STEGFS)

clean:
	 @rm -fv $(STEGFS) $(MKFS) $(CP)

distclean: clean
	@rm -fv $(STEGFS).1.gz
	@rm -fv $(MKFS).1.gz
	@rm -fvr pkg build
	@rm -fv $(STEGFS)*.pkg.tar.xz
	@rm -fv $(STEGFS)*.tgz

=== debian/changelog ===
stegfs (2015.08.1-1) unstable; urgency=low

  * Release of version 2015.08.1 - see README for details

 -- Ashley Anderson <amanderson@albinoloverats.net>  Tue,  5 Jan 2009 00:00:00 +0000

=== PKGBUILD ===
# Maintainer: Ashley Anderson <amanderson@albinoloverats.net>
# Contributor: Ashley Anderson <amanderson@albinoloverats.net>
pkgname=stegfs
pkgver=2015.08.1
pkgrel=1
pkgdesc="stegfs is a FUSE based file system which provides absolute security. Using encryption to secure files, and the art of steganography to hide them, stegfs aims to ensure that the existence of such files isn't guaranteed. Implemented as a FUSE based file system and using the GNU crypto library, libgcrypt, to provide the cryptographic hash and symmetric block cipher functions, stegfs is at the cutting edge of secure file system technology."
url="https://albinoloverats.net/projects/stegfs"
arch=('i686' 'x86_64' 'arm')
license=('GPL3')
depends=('fuse' 'libgcrypt')
makedepends=('pkgconfig')

# you shouldn't need to uncomment this as this PKGBUILD file lives in
# the same Git repoository as the source
# source=(https://albinoloverats.net/downloads/stegfs.tar.xz)
# sha256sum=('')

build() {
  cd ${startdir}
  make -f Makefile
}

package() {
  cd ${startdir}
  mkdir -p ${pkgdir}/usr/{bin,share/man/man1}
  make -f Makefile install PREFIX=${pkgdir}
}

=== debian/control ===
Source: stegfs
Section: Accessories
Priority: extra
Maintainer: Ashley Anderson <amanderson@albinoloverats.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: stegfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: stegfs is a FUSE based file system which provides absolute
 security. Using encryption to secure files, and the art of
 steganography to hide them, stegfs aims to ensure that the existence of
 such files isn't guaranteed. Implemented as a FUSE based file system
 and using the GNU crypto library, libgcrypt, to provide the
 cryptographic hash and symmetric block cipher functions, stegfs is at
 the cutting edge of secure file system technology.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all
	#docbook-to-man debian/stegfs.sgml > stegfs.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/stegfs.
	$(MAKE) PREFIX=$(CURDIR)/debian/stegfs install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
